<html>
<head>
<title>Ogre::RenderQueueGroup Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderQueueGroup Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderQueueGroup" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>A grouping level underneath <a class="el" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a> which groups renderables to be issued at coarsely the same time to the renderer.  
 <a href="classOgre_1_1RenderQueueGroup.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::RenderQueueGroup:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1RenderQueueGroup__inherit__graph.gif" border="0" usemap="#Ogre_1_1RenderQueueGroup_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1RenderQueueGroup_inherit__map" id="Ogre_1_1RenderQueueGroup_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="27,5,157,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1RenderQueueGroup-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1RenderPriorityGroup.html">RenderPriorityGroup</a> <br class="typebreak"/>
*, std::less&lt; <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> &gt; &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a667e088e296591cd43e9acdc5daadc80">PriorityMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt; <a class="el" href="classOgre_1_1RenderQueueGroup.html#a667e088e296591cd43e9acdc5daadc80">PriorityMap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a38216d5a4828871b53e5fbecdc8d4984">PriorityMapIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1RenderQueueGroup.html#a667e088e296591cd43e9acdc5daadc80">PriorityMap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a34dffe13210b7f61932a25fc042f404f">ConstPriorityMapIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#aa8f83bb601e8344a255fc2aafbc958ee">RenderQueueGroup</a> (<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *parent, bool splitPassesByLightingType, bool splitNoShadowPasses, bool shadowCastersNotReceivers)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#ac12bd8451907d485889812b0a6b6ceca">~RenderQueueGroup</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a38216d5a4828871b53e5fbecdc8d4984">PriorityMapIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a9225e3493596e1701e583721d1846f24">getIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator for browsing through child contents.  <a href="#a9225e3493596e1701e583721d1846f24"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a34dffe13210b7f61932a25fc042f404f">ConstPriorityMapIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a25f29c808539ac74609265b3bc999192">getIterator</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a const iterator for browsing through child contents.  <a href="#a25f29c808539ac74609265b3bc999192"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a0bd953e5e30d631542ef7d85158b017e">addRenderable</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *pRend, <a class="el" href="classOgre_1_1Technique.html">Technique</a> *pTech, <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> priority)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a renderable to this group, with the given priority.  <a href="#a0bd953e5e30d631542ef7d85158b017e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#aeeaaf69657b5425e8f294466f0061a41">clear</a> (bool destroy=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears this group of renderables.  <a href="#aeeaaf69657b5425e8f294466f0061a41"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a180a462bafa9b9d472a59d044657e6ef">setShadowsEnabled</a> (bool enabled)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicate whether a given queue group will be doing any shadow setup.  <a href="#a180a462bafa9b9d472a59d044657e6ef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a1494737d903b3e54f3b1694874c2c034">getShadowsEnabled</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Are shadows enabled for this queue?  <a href="#a1494737d903b3e54f3b1694874c2c034"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#aa9136681bf8704ada4af84f2c30be7b3">setSplitPassesByLightingType</a> (bool split)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether or not the queue will split passes by their lighting type, ie ambient, per-light and decal.  <a href="#aa9136681bf8704ada4af84f2c30be7b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a9d53fac5486bb4379965858840900263">setSplitNoShadowPasses</a> (bool split)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether or not the queue will split passes which have shadow receive turned off (in their parent material), which is needed when certain shadow techniques are used.  <a href="#a9d53fac5486bb4379965858840900263"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a5c2e2f614fe51fb1e6954b28f4c3a366">setShadowCastersCannotBeReceivers</a> (bool ind)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether or not objects which cast shadows should be treated as never receiving shadows.  <a href="#a5c2e2f614fe51fb1e6954b28f4c3a366"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a4fcd2c524232e0708786959bf74fe153">resetOrganisationModes</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset the organisation modes required for the solids in this group.  <a href="#a4fcd2c524232e0708786959bf74fe153"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a195e1d749ca78952f9e4c222d6a536c3">addOrganisationMode</a> (<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a> om)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a required sorting / grouping mode for the solids in this group.  <a href="#a195e1d749ca78952f9e4c222d6a536c3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a0cf70d2d850ef3746957b337b1bba4d0">defaultOrganisationMode</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Setthe sorting / grouping mode for the solids in this group to the default.  <a href="#a0cf70d2d850ef3746957b337b1bba4d0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a4eb48a76b7a69ed248578d6743f8e9b3">merge</a> (const <a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *rhs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Merge group of renderables.  <a href="#a4eb48a76b7a69ed248578d6743f8e9b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#af9f686713ffc4826d877050b9eeb7269">mParent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a6ea0e9f15de8415698537ebab761b941">mSplitPassesByLightingType</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a512ffe61ae9cf4871096a547d500a3c9">mSplitNoShadowPasses</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#acb8f17ce35fe836bbcc33e4549d501e0">mShadowCastersNotReceivers</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a667e088e296591cd43e9acdc5daadc80">PriorityMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a89c61e07d1956e97cf067aaf9657bc31">mPriorityGroups</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Map of <a class="el" href="classOgre_1_1RenderPriorityGroup.html" title="Collection of renderables by priority.">RenderPriorityGroup</a> objects.  <a href="#a89c61e07d1956e97cf067aaf9657bc31"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a5c4eaacfc8c686034b7795580f748f89">mShadowsEnabled</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether shadows are enabled for this queue.  <a href="#a5c4eaacfc8c686034b7795580f748f89"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a98e8d6250115823a41a02e579509fb2b">mOrganisationMode</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bitmask of the organisation modes requested (for new priority groups)  <a href="#a98e8d6250115823a41a02e579509fb2b"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A grouping level underneath <a class="el" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a> which groups renderables to be issued at coarsely the same time to the renderer. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Each instance of this class itself hold <a class="el" href="classOgre_1_1RenderPriorityGroup.html" title="Collection of renderables by priority.">RenderPriorityGroup</a> instances, which are the groupings of renderables by priority for fine control of ordering (not required for most instances). </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00465">465</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a34dffe13210b7f61932a25fc042f404f"></a><!-- doxytag: member="Ogre::RenderQueueGroup::ConstPriorityMapIterator" ref="a34dffe13210b7f61932a25fc042f404f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a>&lt;<a class="el" href="classOgre_1_1RenderQueueGroup.html#a667e088e296591cd43e9acdc5daadc80">PriorityMap</a>&gt; <a class="el" href="classOgre_1_1RenderQueueGroup.html#a34dffe13210b7f61932a25fc042f404f">Ogre::RenderQueueGroup::ConstPriorityMapIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00470">470</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a667e088e296591cd43e9acdc5daadc80"></a><!-- doxytag: member="Ogre::RenderQueueGroup::PriorityMap" ref="a667e088e296591cd43e9acdc5daadc80" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>, <a class="el" href="classOgre_1_1RenderPriorityGroup.html">RenderPriorityGroup</a>*, std::less&lt;<a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&gt; &gt;::type <a class="el" href="classOgre_1_1RenderQueueGroup.html#a667e088e296591cd43e9acdc5daadc80">Ogre::RenderQueueGroup::PriorityMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00468">468</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a38216d5a4828871b53e5fbecdc8d4984"></a><!-- doxytag: member="Ogre::RenderQueueGroup::PriorityMapIterator" ref="a38216d5a4828871b53e5fbecdc8d4984" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1RenderQueueGroup.html#a667e088e296591cd43e9acdc5daadc80">PriorityMap</a>&gt; <a class="el" href="classOgre_1_1RenderQueueGroup.html#a38216d5a4828871b53e5fbecdc8d4984">Ogre::RenderQueueGroup::PriorityMapIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00469">469</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa8f83bb601e8344a255fc2aafbc958ee"></a><!-- doxytag: member="Ogre::RenderQueueGroup::RenderQueueGroup" ref="aa8f83bb601e8344a255fc2aafbc958ee" args="(RenderQueue *parent, bool splitPassesByLightingType, bool splitNoShadowPasses, bool shadowCastersNotReceivers)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueGroup.html#aa8f83bb601e8344a255fc2aafbc958ee">Ogre::RenderQueueGroup::RenderQueueGroup</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>splitPassesByLightingType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>splitNoShadowPasses</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>shadowCastersNotReceivers</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00485">485</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac12bd8451907d485889812b0a6b6ceca"></a><!-- doxytag: member="Ogre::RenderQueueGroup::~RenderQueueGroup" ref="ac12bd8451907d485889812b0a6b6ceca" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueGroup.html#ac12bd8451907d485889812b0a6b6ceca">Ogre::RenderQueueGroup::~RenderQueueGroup</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00498">498</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>References <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00472">OGRE_DELETE</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a195e1d749ca78952f9e4c222d6a536c3"></a><!-- doxytag: member="Ogre::RenderQueueGroup::addOrganisationMode" ref="a195e1d749ca78952f9e4c222d6a536c3" args="(QueuedRenderableCollection::OrganisationMode om)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderQueueGroup.html#a195e1d749ca78952f9e4c222d6a536c3">Ogre::RenderQueueGroup::addOrganisationMode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a>&#160;</td>
          <td class="paramname"><em>om</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a required sorting / grouping mode for the solids in this group. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You can only do this when the group is empty, ie after clearing the queue. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">QueuedRenderableCollection::OrganisationMode</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00655">655</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0bd953e5e30d631542ef7d85158b017e"></a><!-- doxytag: member="Ogre::RenderQueueGroup::addRenderable" ref="a0bd953e5e30d631542ef7d85158b017e" args="(Renderable *pRend, Technique *pTech, ushort priority)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderQueueGroup.html#a0bd953e5e30d631542ef7d85158b017e">Ogre::RenderQueueGroup::addRenderable</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td>
          <td class="paramname"><em>pRend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td>
          <td class="paramname"><em>pTech</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>priority</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a renderable to this group, with the given priority. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00520">520</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1RenderPriorityGroup.html#ae1fbc62e9014f3e36bef8f7f638ccf19">Ogre::RenderPriorityGroup::addOrganisationMode()</a>, <a class="el" href="classOgre_1_1RenderPriorityGroup.html#ab09fd661aa02509a1e4f83b18f5da74f">Ogre::RenderPriorityGroup::addRenderable()</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00471">OGRE_NEW</a>, and <a class="el" href="classOgre_1_1RenderPriorityGroup.html#afac98cbfa333ffbbd6f92a2dede71d83">Ogre::RenderPriorityGroup::resetOrganisationModes()</a>.</p>

</div>
</div>
<a class="anchor" id="aeeaaf69657b5425e8f294466f0061a41"></a><!-- doxytag: member="Ogre::RenderQueueGroup::clear" ref="aeeaaf69657b5425e8f294466f0061a41" args="(bool destroy=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderQueueGroup.html#aeeaaf69657b5425e8f294466f0061a41">Ogre::RenderQueueGroup::clear</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>destroy</em> = <code>false</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clears this group of renderables. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">destroy</td><td>If false, doesn't delete any priority groups, just empties them. Saves on memory deallocations since the chances are roughly the same kinds of renderables are going to be sent to the queue again next time. If true, completely destroys. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00557">557</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>References <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00472">OGRE_DELETE</a>.</p>

</div>
</div>
<a class="anchor" id="a0cf70d2d850ef3746957b337b1bba4d0"></a><!-- doxytag: member="Ogre::RenderQueueGroup::defaultOrganisationMode" ref="a0cf70d2d850ef3746957b337b1bba4d0" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderQueueGroup.html#a0cf70d2d850ef3746957b337b1bba4d0">Ogre::RenderQueueGroup::defaultOrganisationMode</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Setthe sorting / grouping mode for the solids in this group to the default. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You can only do this when the group is empty, ie after clearing the queue. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">QueuedRenderableCollection::OrganisationMode</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00673">673</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9225e3493596e1701e583721d1846f24"></a><!-- doxytag: member="Ogre::RenderQueueGroup::getIterator" ref="a9225e3493596e1701e583721d1846f24" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a38216d5a4828871b53e5fbecdc8d4984">PriorityMapIterator</a> <a class="el" href="classOgre_1_1RenderQueueGroup.html#a9225e3493596e1701e583721d1846f24">Ogre::RenderQueueGroup::getIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator for browsing through child contents. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00508">508</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00687">merge()</a>.</p>

</div>
</div>
<a class="anchor" id="a25f29c808539ac74609265b3bc999192"></a><!-- doxytag: member="Ogre::RenderQueueGroup::getIterator" ref="a25f29c808539ac74609265b3bc999192" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a34dffe13210b7f61932a25fc042f404f">ConstPriorityMapIterator</a> <a class="el" href="classOgre_1_1RenderQueueGroup.html#a9225e3493596e1701e583721d1846f24">Ogre::RenderQueueGroup::getIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a const iterator for browsing through child contents. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00514">514</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1494737d903b3e54f3b1694874c2c034"></a><!-- doxytag: member="Ogre::RenderQueueGroup::getShadowsEnabled" ref="a1494737d903b3e54f3b1694874c2c034" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueGroup.html#a1494737d903b3e54f3b1694874c2c034">Ogre::RenderQueueGroup::getShadowsEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Are shadows enabled for this queue? </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00589">589</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4eb48a76b7a69ed248578d6743f8e9b3"></a><!-- doxytag: member="Ogre::RenderQueueGroup::merge" ref="a4eb48a76b7a69ed248578d6743f8e9b3" args="(const RenderQueueGroup *rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderQueueGroup.html#a4eb48a76b7a69ed248578d6743f8e9b3">Ogre::RenderQueueGroup::merge</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Merge group of renderables. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00687">687</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1RenderPriorityGroup.html#ae1fbc62e9014f3e36bef8f7f638ccf19">Ogre::RenderPriorityGroup::addOrganisationMode()</a>, <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00508">getIterator()</a>, <a class="el" href="OgreIteratorWrapper_8h_source.html#l00301">Ogre::MapIteratorWrapper&lt; T, IteratorType &gt;::getNext()</a>, <a class="el" href="OgreIteratorWrapper_8h_source.html#l00099">Ogre::IteratorWrapper&lt; T, IteratorType, ValType &gt;::hasMoreElements()</a>, <a class="el" href="classOgre_1_1RenderPriorityGroup.html#add2b573cd06af88231226779fba49e6b">Ogre::RenderPriorityGroup::merge()</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00471">OGRE_NEW</a>, <a class="el" href="OgreIteratorWrapper_8h_source.html#l00279">Ogre::MapIteratorWrapper&lt; T, IteratorType &gt;::peekNextKey()</a>, and <a class="el" href="classOgre_1_1RenderPriorityGroup.html#afac98cbfa333ffbbd6f92a2dede71d83">Ogre::RenderPriorityGroup::resetOrganisationModes()</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::RenderQueueGroup::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::RenderQueueGroup::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::RenderQueueGroup::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::RenderQueueGroup::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::RenderQueueGroup::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::RenderQueueGroup::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::RenderQueueGroup::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::RenderQueueGroup::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::RenderQueueGroup::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::RenderQueueGroup::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4fcd2c524232e0708786959bf74fe153"></a><!-- doxytag: member="Ogre::RenderQueueGroup::resetOrganisationModes" ref="a4fcd2c524232e0708786959bf74fe153" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderQueueGroup.html#a4fcd2c524232e0708786959bf74fe153">Ogre::RenderQueueGroup::resetOrganisationModes</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reset the organisation modes required for the solids in this group. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You can only do this when the group is empty, ie after clearing the queue. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">QueuedRenderableCollection::OrganisationMode</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00637">637</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5c2e2f614fe51fb1e6954b28f4c3a366"></a><!-- doxytag: member="Ogre::RenderQueueGroup::setShadowCastersCannotBeReceivers" ref="a5c2e2f614fe51fb1e6954b28f4c3a366" args="(bool ind)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderQueueGroup.html#a5c2e2f614fe51fb1e6954b28f4c3a366">Ogre::RenderQueueGroup::setShadowCastersCannotBeReceivers</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ind</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether or not objects which cast shadows should be treated as never receiving shadows. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00621">621</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a180a462bafa9b9d472a59d044657e6ef"></a><!-- doxytag: member="Ogre::RenderQueueGroup::setShadowsEnabled" ref="a180a462bafa9b9d472a59d044657e6ef" args="(bool enabled)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderQueueGroup.html#a180a462bafa9b9d472a59d044657e6ef">Ogre::RenderQueueGroup::setShadowsEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Indicate whether a given queue group will be doing any shadow setup. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method allows you to inform the queue about a queue group, and to indicate whether this group will require shadow processing of any sort. In order to preserve rendering order, OGRE has to treat queue groups as very separate elements of the scene, and this can result in it having to duplicate shadow setup for each group. Therefore, if you know that a group which you are using will never need shadows, you should preregister the group using this method in order to improve the performance. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00586">586</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9d53fac5486bb4379965858840900263"></a><!-- doxytag: member="Ogre::RenderQueueGroup::setSplitNoShadowPasses" ref="a9d53fac5486bb4379965858840900263" args="(bool split)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderQueueGroup.html#a9d53fac5486bb4379965858840900263">Ogre::RenderQueueGroup::setSplitNoShadowPasses</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>split</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether or not the queue will split passes which have shadow receive turned off (in their parent material), which is needed when certain shadow techniques are used. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00608">608</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa9136681bf8704ada4af84f2c30be7b3"></a><!-- doxytag: member="Ogre::RenderQueueGroup::setSplitPassesByLightingType" ref="aa9136681bf8704ada4af84f2c30be7b3" args="(bool split)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderQueueGroup.html#aa9136681bf8704ada4af84f2c30be7b3">Ogre::RenderQueueGroup::setSplitPassesByLightingType</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>split</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether or not the queue will split passes by their lighting type, ie ambient, per-light and decal. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00594">594</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a98e8d6250115823a41a02e579509fb2b"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mOrganisationMode" ref="a98e8d6250115823a41a02e579509fb2b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1RenderQueueGroup.html#a98e8d6250115823a41a02e579509fb2b">Ogre::RenderQueueGroup::mOrganisationMode</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bitmask of the organisation modes requested (for new priority groups) </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00481">481</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="af9f686713ffc4826d877050b9eeb7269"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mParent" ref="af9f686713ffc4826d877050b9eeb7269" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a>* <a class="el" href="classOgre_1_1RenderQueueGroup.html#af9f686713ffc4826d877050b9eeb7269">Ogre::RenderQueueGroup::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00472">472</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a89c61e07d1956e97cf067aaf9657bc31"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mPriorityGroups" ref="a89c61e07d1956e97cf067aaf9657bc31" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a667e088e296591cd43e9acdc5daadc80">PriorityMap</a> <a class="el" href="classOgre_1_1RenderQueueGroup.html#a89c61e07d1956e97cf067aaf9657bc31">Ogre::RenderQueueGroup::mPriorityGroups</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Map of <a class="el" href="classOgre_1_1RenderPriorityGroup.html" title="Collection of renderables by priority.">RenderPriorityGroup</a> objects. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00477">477</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb8f17ce35fe836bbcc33e4549d501e0"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mShadowCastersNotReceivers" ref="acb8f17ce35fe836bbcc33e4549d501e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueGroup.html#acb8f17ce35fe836bbcc33e4549d501e0">Ogre::RenderQueueGroup::mShadowCastersNotReceivers</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00475">475</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5c4eaacfc8c686034b7795580f748f89"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mShadowsEnabled" ref="a5c4eaacfc8c686034b7795580f748f89" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueGroup.html#a5c4eaacfc8c686034b7795580f748f89">Ogre::RenderQueueGroup::mShadowsEnabled</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Whether shadows are enabled for this queue. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00479">479</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a512ffe61ae9cf4871096a547d500a3c9"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mSplitNoShadowPasses" ref="a512ffe61ae9cf4871096a547d500a3c9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueGroup.html#a512ffe61ae9cf4871096a547d500a3c9">Ogre::RenderQueueGroup::mSplitNoShadowPasses</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00474">474</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6ea0e9f15de8415698537ebab761b941"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mSplitPassesByLightingType" ref="a6ea0e9f15de8415698537ebab761b941" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueGroup.html#a6ea0e9f15de8415698537ebab761b941">Ogre::RenderQueueGroup::mSplitPassesByLightingType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00473">473</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:03
</p>
</body>
</html>
